Summary:	SJP.pl Polish dictionary for aspell
Summary(pl.UTF-8):	Słownik polski SJP.pl aspella
Name:		aspell-pl-alt
Version:	20240701
Release:	1
License:	Creative Commons License (see legalcode.html)
Group:		Applications/Text
Source0:	http://sjp.pl/slownik/ort/sjp-aspell6-pl-6.0_%{version}-0.tar.bz2
# Source0-md5:	4a04aea334b672626c72a907443ad615
Source1:	http://creativecommons.org/licenses/sa/1.0/legalcode
# Source1-md5:	0ed76e90db3d98d93cf6f7a610c10f77
URL:		http://www.sjp.pl/slownik/ort/
BuildRequires:	aspell >= 3:0.60.0
BuildRequires:	which
Requires:	aspell >= 3:0.60.0
Conflicts:	aspell-pl
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# disable debug data
%global debug_package %{nil}

%description
SJP.pl (formerly called "alternative") Polish dictionary for aspell,
done for gaming purposes initially, at the moment contains 2.9 million
words and has one of the best grammatic rules.

%description -l pl.UTF-8
Słownik polski SJP.pl (dawniej znany jako "alternatywny") dla programu
aspell, na początku tworzony do gier ortograficznych, z czasem
przerodził się w jeden z największych (2,9 mln. słów), najlepiej
ubogaconych (m.in. w zasady gramatyczne) oraz najszybciej rozwijanych
słowników.

%prep
%setup -q -n aspell6-pl-6.0_%{version}-0

%build
# note: configure is not autoconf-generated
./configure
%{__make}

cp %{SOURCE1} ./legalcode.html

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Copyright legalcode.html
%{_libdir}/aspell/pl.*
%{_libdir}/aspell/polish.alias
%{_datadir}/aspell/pl.dat
%{_datadir}/aspell/pl_affix.dat
%changelog
* Fri Jul 05 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/aspell-pl-alt.git;a=log;h=master

* Fri Jul 05 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 06a3d8d
- up to 20240701

* Fri Aug 04 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> f17b060
- up to 20230801

* Wed Jan 20 2021 Jan Palus <atler@pld-linux.org> 378fffb
- up to 20210105

* Mon Dec 02 2013 Łukasz Kieś <kiesiu@pld-linux.org> eee0951
- updated to version 20131202

* Mon Jun 24 2013 Łukasz Kieś <kiesiu@pld-linux.org> 12dfed0
- updated to 20130624

* Fri Dec 28 2012 Łukasz Kieś <kiesiu@pld-linux.org> a12795a
- updated to 20121228

* Sun Jun 10 2012 Łukasz Kieś <kiesiu@pld-linux.org> 8b33e22
- updated to 20120610

* Sun Jan 29 2012 Łukasz Kieś <kiesiu@pld-linux.org> 7f39b36
- updated to 20120129

* Fri Apr 29 2011 marti <marti@pld-linux.org> f6a6d6f
- up to 20110429

* Sat Jan 22 2011 Jakub Bogusz <qboosh@pld-linux.org> 889e2de
- updated to 20110122

* Sat Mar 13 2010 sparky <sparky@pld-linux.org> b88a82d
- BR: which

* Tue Mar 09 2010 amateja <amateja@pld-linux.org> 5add133
- updated to 20100309

* Thu Aug 20 2009 amateja <amateja@pld-linux.org> 9d59216
- updated to 20090820

* Wed Jun 03 2009 amateja <amateja@pld-linux.org> 3e67538
- updated to 20090603

* Mon Mar 23 2009 arvenil <arvenil@pld-linux.org> 1fc591f
- up to 20090323

* Sun Aug 10 2008 Robert Tomasik <rotom@pld-linux.org> b2c88b8
- up to 20080809
- new Source0 URL

* Sun Dec 23 2007 blekot <blekot@pld-linux.org> bbd41a5
- up to 20071214

* Mon Oct 29 2007 Patryk Zawadzki <patrys@room-303.com> bf077d3
- Conflicts due to same file names
- Obsoletes no more

* Mon Jun 18 2007 Robert Tomasik <rotom@pld-linux.org> b5cd289
- up to 20070618

* Sun Apr 01 2007 Robert Tomasik <rotom@pld-linux.org> 0469aa7
- up to 20070401
- Source0 fixed

